apiVersion: apps/v1
kind: Deployment
metadata:
  name: vascular-ai-deployment
  labels:
    app: vascular-ai
spec:
  replicas: 1 
  selector:
    matchLabels:
      app: vascular-ai
  template:
    metadata:
      labels:
        app: vascular-ai
    spec:
      containers:
      - name: vascular-ai-container
        image: docker.io/library/vascular-ai-app:latest
        imagePullPolicy: IfNotPresent
        ports:
        - containerPort: 5000
---
apiVersion: v1
kind: Service
metadata:
  name: vascular-ai-service
spec:
  type: NodePort
  selector:
    app: vascular-ai
  ports:
    - port: 5000
      targetPort: 5000
      nodePort: 30500

